var De = Object.defineProperty;
var Be = (s, e, o) => e in s ? De(s, e, {
    enumerable: !0,
    configurable: !0,
    writable: !0,
    value: o
}) : s[e] = o;
var ie = (s, e, o) => (Be(s, typeof e != "symbol" ? e + "" : e, o),
o);
import {R as ce, B as N, G as U, aH as ue, O as l, T as J, H as E, N as m, I as S, K as H, M as Z, J as t, at as D, P as d, ao as ae, an as w, aA as K, ap as ge, C as j, E as he, r as g, az as re, aw as R, aB as be, aC as ye, w as Ve, ag as Ne, $ as W, au as T, Q as I, z as we, bH as pe, bI as le, bl as Re, aX as fe, bJ as xe, bK as ke, bL as Oe, a6 as Ee, aq as X, ay as Ue, V as Fe, bM as Me, bN as He, bO as je, bP as We, ax as q, n as $e, bC as Ge, p as ze, bQ as Ke, bR as Ye, bS as qe, bT as Xe, bU as Ze, bV as Je, bW as Qe, bX as et, bh as tt, bY as st, bf as ot, bZ as at, b_ as nt, b$ as it, c0 as lt, c1 as rt, c2 as ct, c3 as ut, bg as dt, c4 as vt, c5 as pt, c6 as ft, c7 as mt, c8 as _t, c9 as gt, ca as ht, bk as bt, cb as yt, cc as wt, cd as kt, ce as $t, cf as St, cg as Ct, ch as It, ci as At, cj as Tt, ck as Lt, cl as Pt, cm as Dt, cn as Bt, co as Vt, cp as Nt, cq as Rt} from "./common.modules-af1f85b9.js";
import {y as Q, b as Se, c as Y, _ as x, G as de, a1 as Ce, g as z, n as ne, m as Ie, ct as xt, dW as Ot, u as Et, dX as Ut, a3 as Ft, a4 as Mt, dY as Ht, dZ as jt, a6 as Wt, d_ as Gt, d$ as zt, a$ as Kt, aS as Yt, e0 as qt, e1 as Xt, e2 as Zt, e3 as Jt, b4 as Qt, cf as es, b5 as ts, b7 as ss, N as Ae, i as os, e4 as as, aG as ns, e5 as is, e6 as me, e7 as ls, az as Te} from "./page-activity-ActivityDetail-09e806d3.js";
import {f as rs} from "./page-activity-FirstRecharge-79eea2e3.js";
import {B as cs} from "./page-activity-Bonus-78dc3749.js";
import "./page-turntable-assets-d6267459.js";
import "./native/index-2c2af617.js";
import "./en-8dc3e88f.js";
import "./page-activity-DailySignIn-a76bf4fc.js";
window.getBuildInfo = function() {
    return {
        buildTime: "11/29/2025, 1:32:36 PM",
        branch: " commitId:72f854cdce5f34260257a3d8f5a39c857a06b4e6"
    }
}
;
(function() {
    const e = document.createElement("link").relList;
    if (e && e.supports && e.supports("modulepreload"))
        return;
    for (const n of document.querySelectorAll('link[rel="modulepreload"]'))
        a(n);
    new MutationObserver(n => {
        for (const i of n)
            if (i.type === "childList")
                for (const v of i.addedNodes)
                    v.tagName === "LINK" && v.rel === "modulepreload" && a(v)
    }
    ).observe(document, {
        childList: !0,
        subtree: !0
    });
    function o(n) {
        const i = {};
        return n.integrity && (i.integrity = n.integrity),
        n.referrerPolicy && (i.referrerPolicy = n.referrerPolicy),
        n.crossOrigin === "use-credentials" ? i.credentials = "include" : n.crossOrigin === "anonymous" ? i.credentials = "omit" : i.credentials = "same-origin",
        i
    }
    function a(n) {
        if (n.ep)
            return;
        n.ep = !0;
        const i = o(n);
        fetch(n.href, i)
    }
}
)();
const us = [{
    name: "home"
}, {
    name: "activity"
}, {
    name: "turntable"
}, {
    name: "promotion"
}, {
    name: "main"
}]
  , ds = () => {
    const s = ce();
    async function e(v) {
        await s.push({
            name: v
        })
    }
    const o = Q()
      , a = N( () => `url(${o.getInvitedWheelImgUrl ? o.getInvitedWheelImgUrl : Se("common", "wheel")})`)
      , n = N( () => o.getInvitedWheelTotalPrizeAmount);
    return {
        isTurntable: N( () => o.getIsOpenInvitedWheel),
        getInvitedWheelImgUrl: a,
        getInvitedWheelTotalPrizeAmount: n,
        handleClick: e
    }
}
  , vs = {
    key: 0,
    class: "tabbar__container"
}
  , ps = ["onClick"]
  , fs = {
    key: 1,
    xmlns: "http://www.w3.org/2000/svg",
    width: "130",
    height: "108",
    viewBox: "0 0 130 108",
    fill: "none"
}
  , ms = ge('<g clip-path="url(#clip0_1_9417)" data-v-cbfefb2b><path fill-rule="evenodd" clip-rule="evenodd" d="M107.494 0C110.5 0 113.181 1.53134 114.725 4.11045L128.862 28.1284C130.569 31.1105 130.325 41.1851 128.212 43.8448L74.8312 103.325C70.5249 108.645 62.6437 109.531 57.1999 105.26C56.4687 104.696 55.8187 104.051 55.2499 103.325L1.78745 43.8448C-0.406302 41.1851 -0.650052 31.0299 1.13745 28.1284L15.2749 4.11045C16.8187 1.53134 19.5812 0 22.5062 0H107.494Z" fill="#3B3B3B" data-v-cbfefb2b></path><path fill-rule="evenodd" clip-rule="evenodd" d="M98.6375 15.3135C100.994 15.3135 103.106 16.4418 104.244 18.3762L115.294 36.2687C116.675 38.4448 116.431 41.2657 114.725 43.2L72.9625 90.8329C69.55 94.7821 63.4562 95.4269 59.2312 92.2836C58.6625 91.8806 58.175 91.3971 57.6875 90.8329L16.0875 43.2C14.3812 41.1851 14.2187 38.4448 15.5187 36.2687L26.5687 18.3762C27.7062 16.5224 29.9 15.3135 32.175 15.3135H98.6375ZM77.7562 52.6299L67.6 67.1374C67.1125 67.8627 65.2437 68.0239 64.5125 67.4597C64.35 67.3791 64.2687 67.218 64.1062 67.1374L53.1375 52.6299C51.5937 50.5344 48.5062 50.0508 46.3125 51.5821C44.1187 53.0329 43.6312 55.9344 45.175 58.0299L56.1437 72.5374C60.3687 77.6956 63.05 79.7911 65.8937 79.7911C69.0625 79.7911 71.7437 76.2448 74.75 72.5374L85.7187 58.0299C87.2625 55.9344 86.775 53.0329 84.5812 51.5821C82.3875 50.0508 79.3 50.5344 77.7562 52.6299Z" fill="url(#paint0_linear_1_9417)" data-v-cbfefb2b></path></g><defs data-v-cbfefb2b><linearGradient id="paint0_linear_1_9417" x1="65.4231" y1="15.3135" x2="65.4231" y2="94.2758" gradientUnits="userSpaceOnUse" data-v-cbfefb2b><stop stop-color="#FAE59F" data-v-cbfefb2b></stop><stop offset="1" stop-color="#C4933F" data-v-cbfefb2b></stop></linearGradient><clipPath id="clip0_1_9417" data-v-cbfefb2b><rect width="130" height="108" fill="white" data-v-cbfefb2b></rect></clipPath></defs>', 2)
  , _s = [ms]
  , gs = {
    key: 1,
    class: "tabbar__container"
}
  , hs = ["onClick"]
  , bs = {
    key: 1,
    class: "turntableBg"
}
  , ys = {
    key: 2,
    class: "turntable-text"
}
  , ws = {
    key: 3
}
  , ks = U({
    __name: "index3",
    setup(s) {
        ue(c => ({
            "cbfefb2b-getInvitedWheelImgUrl": l(o)
        })),
        ce();
        const {isTurntable: e, getInvitedWheelImgUrl: o, getInvitedWheelTotalPrizeAmount: a, handleClick: n} = ds()
          , i = J()
          , v = [{
            name: "home"
        }, {
            name: "activity"
        }, {
            name: "promotion"
        }, {
            name: "wallet"
        }, {
            name: "main"
        }];
        return (c, h) => {
            const r = E("svg-icon");
            return l(e) ? (m(),
            S("div", gs, [(m(!0),
            S(H, null, Z(l(us), (f, $) => (m(),
            S("div", {
                class: ae(["tabbar__container-item", {
                    active: f.name === l(i).name
                }]),
                key: f + "" + $,
                onClick: C => l(n)(f.name)
            }, [w(` <svg-icon :name="item.name === 'promotion' ? 'promotion2' : item.name" /> `), $ !== 2 ? (m(),
            D(r, {
                key: 0,
                name: f.name === "promotion" ? "promotion2" : f.name
            }, null, 8, ["name"])) : w("v-if", !0), f.name === "turntable" ? (m(),
            S("div", bs)) : w("v-if", !0), f.name === "turntable" ? (m(),
            S("span", ys, [w(" {{ $t('invitedWheel') }} "), K(" " + d(c.$t("getMoney", [l(Y)(l(a), "", 0)])), 1)])) : (m(),
            S("span", ws, d(c.$t(f.name)), 1))], 10, hs))), 128))])) : (m(),
            S("div", vs, [(m(),
            S(H, null, Z(v, (f, $) => t("div", {
                class: ae(["tabbar__container-item", {
                    active: f.name === l(i).name
                }]),
                key: f + "" + $,
                onClick: C => l(n)(f.name)
            }, [f.name != "promotion" ? (m(),
            D(r, {
                key: 0,
                name: f.name
            }, null, 8, ["name"])) : (m(),
            S("svg", fs, _s)), t("span", null, d(c.$t(f.name)), 1)], 10, ps)), 64))]))
        }
    }
});
const $s = x(ks, [["__scopeId", "data-v-cbfefb2b"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/TabBar/index3.vue"]]);
function Ss() {
    const s = de()
      , e = () => {
        document.visibilityState === "visible" ? s.setvisibility() : s.setvisibility(0)
    }
    ;
    j( () => {
        document.addEventListener("visibilitychange", e)
    }
    ),
    he( () => {
        document.removeEventListener("visibilitychange", e)
    }
    )
}
const Cs = U({
    __name: "Customer",
    setup(s) {
        ue(p => ({
            "f6a705e1-currentFontFamily": L.value
        }));
        const e = g(!1)
          , o = g({
            x: 0,
            y: 0
        })
          , a = g(0)
          , n = g(0)
          , i = g(0)
          , v = g(0)
          , c = g(0)
          , h = g(0)
          , r = g();
        let f, $, C, y;
        const {getSelfCustomerServiceLink: B} = Ce({
            ServerType: 2
        });
        function k() {
            A(f, $, C, y) || B()
        }
        j( () => {
            r.value = document.getElementById("customerId")
        }
        );
        function b(p) {
            e.value = !0;
            var P;
            p.touches ? P = p.touches[0] : P = p,
            o.value.x = P.clientX,
            o.value.y = P.clientY,
            a.value = r.value.offsetLeft,
            n.value = r.value.offsetTop,
            f = p.clientX,
            $ = p.clientY
        }
        function u(p) {
            if (e.value) {
                var P, F = document.getElementById("customerId"), M = F.clientWidth, ee = F.clientHeight, te = document.documentElement.clientHeight, se = document.documentElement.clientWidth;
                p.touches ? P = p.touches[0] : P = p,
                i.value = P.clientX - o.value.x,
                v.value = P.clientY - o.value.y,
                c.value = a.value + i.value,
                h.value = n.value + v.value,
                c.value <= 0 && (c.value = 0),
                h.value <= 0 && (h.value = 0),
                c.value >= se - M && (c.value = se - M),
                h.value >= te - ee && (h.value = te - ee),
                r.value.style.left = c.value + "px",
                r.value.style.top = h.value + "px",
                document.addEventListener("touchmove", function() {
                    p.preventDefault()
                }, !1)
            }
            p.stopPropagation(),
            p.preventDefault()
        }
        function _(p) {
            e.value = !1,
            C = p.clientX,
            y = p.clientY
        }
        function A(p, P, F, M) {
            return !(Math.sqrt((p - F) * (p - F) + (P - M) * (P - M)) <= 1)
        }
        const L = g("bahnschrift");
        return (p, P) => {
            const F = re("lazy")
              , M = re("scrollhide");
            return R((m(),
            S("div", {
                class: "customer",
                onClick: k,
                onMousedown: b,
                onTouchstart: b,
                onMousemove: u,
                onTouchmove: u,
                onMouseup: _,
                id: "customerId"
            }, [R(t("img", null, null, 512), [[F, l(z)("home", "icon_sevice")]])], 32)), [[M]])
        }
    }
});
const Is = x(Cs, [["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/Customer.vue"]])
  , As = "/assets/png/logo-2ca996a4.png";
const Ts = {}
  , Le = s => (be("data-v-5eb72be7"),
s = s(),
ye(),
s)
  , Ls = {
    class: "start-page"
}
  , Ps = Le( () => t("div", {
    class: "dice"
}, null, -1))
  , Ds = Le( () => t("img", {
    class: "logo",
    src: As
}, null, -1));
function Bs(s, e) {
    return m(),
    S("div", Ls, [t("div", null, [Ps, t("p", null, d(s.$t("fairAndSafe")), 1), Ds])])
}
const Vs = x(Ts, [["render", Bs], ["__scopeId", "data-v-5eb72be7"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/entrance/ar055/StartPage.vue"]])
  , Ns = {
    class: "header"
}
  , Rs = {
    class: "title"
}
  , xs = {
    class: "tip"
}
  , Os = {
    class: "container"
}
  , Es = {
    class: "footer"
}
  , Us = U({
    __name: "dialog",
    setup(s) {
        const e = ce()
          , o = J()
          , a = g(!1)
          , {closeFirstSave: n} = ne()
          , {ActiveSotre: i, getFirstRechargeList: v} = Ie()
          , c = Ve(new Date).format("YYYY-MM-DD")
          , h = Ne("firstSave", null)
          , r = N( () => h.value == c)
          , f = () => {
            r.value ? (h.value = "",
            localStorage.removeItem("firstSave")) : h.value = c
        }
          , $ = () => {
            a.value = !1,
            n()
        }
          , C = ["activity", "home", "main", "wallet", "promotion"];
        W( () => o.name, b => {
            C.includes(o.name) && y()
        }
        );
        const y = () => {
            if (h.value == c)
                return n();
            v().then(b => {
                if (!b.length) {
                    a.value = !1,
                    n();
                    return
                }
                const u = b.find(_ => _.isFinshed);
                u && (i.value.isShowFirstSaveDialog = !1),
                u || (a.value = !0)
            }
            )
        }
          , B = () => {
            a.value = !1,
            n(!0),
            e.push({
                name: "FirstRecharge"
            })
        }
          , k = () => {
            a.value = !1,
            n(!0),
            e.push({
                name: "Recharge"
            })
        }
        ;
        return j( () => {
            C.includes(o.name) && y()
        }
        ),
        (b, u) => {
            const _ = E("van-checkbox")
              , A = E("van-dialog");
            return m(),
            D(A, {
                show: a.value,
                "onUpdate:show": u[1] || (u[1] = L => a.value = L),
                className: "firstSaveDialog"
            }, {
                title: T( () => [t("div", Ns, [t("div", Rs, d(b.$t("firstDialogH")), 1), t("div", xs, d(b.$t("firstDialogTip")), 1)])]),
                footer: T( () => [t("div", Es, [w(` <div class="active" :class="{ a: isActive}" @click="changeActive"><svg-icon name="active" />{{ $t('noTipToday') }}</div> `), t("div", {
                    class: ae(["active", {
                        a: r.value
                    }]),
                    onClick: f
                }, [I(_, {
                    modelValue: r.value,
                    "onUpdate:modelValue": u[0] || (u[0] = L => r.value = L)
                }, null, 8, ["modelValue"]), K(d(b.$t("noTipToday")), 1)], 2), t("div", {
                    class: "btn",
                    onClick: B
                }, d(b.$t("activity")), 1)])]),
                default: T( () => [t("div", Os, [I(rs, {
                    list: l(i).FirstRechargeList,
                    onGorecharge: k
                }, null, 8, ["list"])]), t("div", {
                    class: "close",
                    onClick: $
                })]),
                _: 1
            }, 8, ["show"])
        }
    }
});
const Fs = x(Us, [["__scopeId", "data-v-9cd12fb2"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/Activity/FirstRecharge/dialog.vue"]])
  , Ms = s => (be("data-v-7dee72bf"),
s = s(),
ye(),
s)
  , Hs = {
    key: 0,
    class: "second-verification"
}
  , js = {
    class: "head"
}
  , Ws = {
    key: 0,
    class: "tip"
}
  , Gs = {
    key: 1,
    class: "tip"
}
  , zs = {
    key: 2,
    class: "errorText"
}
  , Ks = {
    class: "pin-wrapper"
}
  , Ys = {
    class: "pin-input"
}
  , qs = {
    class: "numeric-keypad"
}
  , Xs = ["onClick"]
  , Zs = Ms( () => t("div", {
    class: "key key--placeholder"
}, null, -1))
  , Js = U({
    __name: "secondVerification",
    setup(s) {
        const {t: e} = we()
          , o = g(!0)
          , a = g(!0)
          , n = g([])
          , i = g("")
          , v = g(0)
          , c = g("")
          , h = g("")
          , r = g(0)
          , f = async k => {
            const b = await le.genSalt(10);
            return await le.hash(k, b)
        }
          , $ = async (k, b) => await le.compare(k, b)
          , C = async k => {
            if (!(n.value.length >= 6) && (n.value.push(k),
            n.value.length === 6))
                if (a.value) {
                    if (v.value === 0) {
                        v.value = 1,
                        i.value = n.value.join(""),
                        n.value = [];
                        return
                    }
                    if (v.value === 1) {
                        const b = n.value.join("");
                        b === i.value ? (c.value = await f(b),
                        Ot("appLock", c.value).then( () => {
                            n.value = [],
                            v.value = 0,
                            i.value = "",
                            o.value = !1,
                            a.value = !1
                        }
                        )) : (h.value = e("registerTip4"),
                        n.value = [],
                        v.value = 0,
                        i.value = "")
                    }
                } else {
                    const b = n.value.join("");
                    await $(b, c.value) ? (o.value = !1,
                    n.value = []) : (n.value = [],
                    r.value += 1,
                    h.value = e("idlockTip1", [r.value]),
                    r.value >= 3 && B())
                }
        }
          , y = () => {
            n.value.pop()
        }
          , B = () => {
            localStorage.clear(),
            sessionStorage.clear(),
            pe.exitApp()
        }
        ;
        return j(async () => {
            let k = await xt(["appLock"]);
            c.value = (k == null ? void 0 : k.appLock) || "",
            a.value = !c.value,
            pe.addListener("appStateChange", ({isActive: b}) => {
                b && (o.value = !0)
            }
            )
        }
        ),
        (k, b) => o.value ? (m(),
        S("div", Hs, [t("div", js, [K(d(k.$t("loginPSW")) + " ", 1), t("div", {
            class: "out",
            onClick: B
        }, d(k.$t("logout")), 1)]), a.value ? (m(),
        S("div", Ws, d(v.value === 0 ? k.$t("newPSWRest") : k.$t("newPSWconfirm")), 1)) : (m(),
        S("div", Gs, d(k.$t("registerTip2")), 1)), h.value ? (m(),
        S("div", zs, d(h.value), 1)) : w("v-if", !0), t("div", Ks, [w(" 6 位输入框 "), t("div", Ys, [(m(),
        S(H, null, Z(6, u => t("div", {
            key: u,
            class: ae(["pin-box", n.value.length >= u && "a"])
        }, null, 2)), 64))]), w(" 数字键盘 "), t("div", qs, [(m(),
        S(H, null, Z(9, u => t("button", {
            key: u,
            class: "key",
            type: "button",
            onClick: _ => C(String(u))
        }, d(u), 9, Xs)), 64)), w(" 占位 "), Zs, w(" 0 "), t("button", {
            class: "key",
            type: "button",
            onClick: b[0] || (b[0] = u => C("0"))
        }, "0"), w(" 删除 "), t("button", {
            class: "key key--danger",
            type: "button",
            onClick: y
        }, "←")])])])) : w("v-if", !0)
    }
});
const Qs = x(Js, [["__scopeId", "data-v-7dee72bf"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/secondVerification.vue"]])
  , eo = {
    class: "title"
}
  , to = {
    class: "container"
}
  , so = U({
    __name: "index",
    setup(s) {
        const {store: e} = ne()
          , {getRewards: o, list: a, query: n, onBonusPack: i} = Et();
        return W( () => e.rewardCenter, v => {
            v && o()
        }
        ),
        (v, c) => {
            const h = E("van-dialog");
            return m(),
            D(h, {
                show: l(e).rewardCenter,
                "onUpdate:show": c[1] || (c[1] = r => l(e).rewardCenter = r),
                className: "reward-dialog",
                "show-confirm-button": !1
            }, {
                title: T( () => [t("div", eo, d(v.$t("bonusCollection")), 1)]),
                footer: T( () => [t("div", {
                    class: "close",
                    onClick: c[0] || (c[0] = r => l(e).rewardCenter = !1)
                })]),
                default: T( () => [t("div", to, [(m(!0),
                S(H, null, Z(l(a), r => (m(),
                D(cs, {
                    key: r.activityId,
                    item: r,
                    state: l(n).receiveState,
                    time: !1,
                    onPack: l(i)
                }, null, 8, ["item", "state", "onPack"]))), 128))])]),
                _: 1
            }, 8, ["show"])
        }
    }
});
const oo = x(so, [["__scopeId", "data-v-35a27ba7"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/Activity/Bonus/index.vue"]])
  , ao = {
    class: "dialog-window"
}
  , no = {
    class: "dialog-wrapper"
}
  , io = {
    class: "dialog-title"
}
  , lo = {
    class: "dialog-content"
}
  , ro = {
    class: "dialog-window"
}
  , co = {
    class: "dialog-wrapper"
}
  , uo = {
    class: "dialog-title"
}
  , vo = {
    class: "dialog-tips"
}
  , po = {
    class: "dialog-content"
}
  , fo = {
    class: "dialog-tips",
    style: {
        "margin-bottom": "0"
    }
}
  , mo = {
    class: "dialog-window"
}
  , _o = {
    class: "dialog-wrapper"
}
  , go = {
    class: "dialog-tips",
    style: {
        "margin-top": "10px"
    }
}
  , ho = {
    class: "dialog-title",
    style: {
        "margin-top": "0"
    }
}
  , bo = {
    class: "dialog-tips"
}
  , yo = {
    class: "dialog-content"
}
  , wo = {
    class: "dialog-window"
}
  , ko = {
    class: "dialog-wrapper"
}
  , $o = {
    class: "dialog-tips",
    style: {
        "margin-top": "10px"
    }
}
  , So = {
    class: "dialog-title",
    style: {
        "margin-top": "0"
    }
}
  , Co = {
    class: "dialog-tips"
}
  , Io = {
    class: "dialog-content"
}
  , Ao = {
    class: "dialog-window"
}
  , To = {
    class: "dialog-wrapper"
}
  , Lo = {
    class: "dialog-receive"
}
  , Po = {
    class: "dialog-title"
}
  , Do = {
    class: "dialog-tips"
}
  , Bo = {
    class: "dialog-content"
}
  , Vo = {
    class: "dialog-18"
}
  , No = {
    class: "tip_txt"
}
  , Ro = {
    class: "dialog-footer"
}
  , xo = {
    class: "dialog-18"
}
  , Oo = {
    class: "dialog-footer"
}
  , Eo = U({
    __name: "AllPageDialog",
    setup(s) {
        const {ActiveSotre: e} = Ie()
          , {store: o, closeInvite: a, showFirstSave: n, onReturnAwards: i, onAppDownloadAwards: v, onRegisterGift: c} = ne()
          , h = J()
          , r = g(!1)
          , f = g(!1)
          , $ = localStorage.getItem("is18") || void 0
          , C = Q()
          , y = ["poppg", "POP888", "POP555", "pop", "POP678"]
          , B = g(Ut())
          , k = N( () => y.includes(C.projectName))
          , b = u => {
            u ? (localStorage.setItem("is18", "1"),
            r.value = !1) : f.value = !0
        }
        ;
        return W( () => k.value, u => {
            u && (r.value = !($ && $ === "1"))
        }
        , {
            immediate: !0
        }),
        W( () => h.path, u => {
            o.rewardCenter = !1
        }
        ),
        (u, _) => {
            const A = E("van-dialog")
              , L = re("lazy");
            return m(),
            S(H, null, [l(n) ? (m(),
            D(Fs, {
                key: 0
            })) : w("v-if", !0), I(A, {
                show: l(e).showReceiveDialog,
                "onUpdate:show": _[1] || (_[1] = p => l(e).showReceiveDialog = p),
                "show-confirm-button": !1,
                className: "noOverHidden"
            }, {
                default: T( () => [t("div", ao, [t("div", no, [R(t("img", null, null, 512), [[L, l(z)("public", "succeed")]]), t("div", io, d(u.$t("awardsReceived")), 1), t("div", lo, [R(t("img", null, null, 512), [[L, l(z)("activity/DailyTask", "amountIcon")]]), t("span", null, d(l(Y)(l(e).receiveAmount)), 1)]), t("div", {
                    class: "dialog-btn",
                    onClick: _[0] || (_[0] = p => l(e).showReceiveDialog = !1)
                }, d(u.$t("confirm")), 1)])])]),
                _: 1
            }, 8, ["show"]), I(A, {
                show: l(o).invite,
                "onUpdate:show": _[3] || (_[3] = p => l(o).invite = p),
                "show-confirm-button": !1,
                className: "noOverHidden"
            }, {
                default: T( () => [t("div", ro, [t("div", co, [R(t("img", null, null, 512), [[L, l(z)("public", "succeed")]]), t("div", uo, d(u.$t("inviteTips")), 1), t("p", vo, d(u.$t("inviteAmount")), 1), t("div", po, [t("span", fo, d(u.$t("commissionAmount")), 1), t("span", null, d(l(Y)(l(o).rebateAmount)), 1)]), t("div", {
                    class: "dialog-btn",
                    onClick: _[2] || (_[2] = p => l(a)())
                }, d(u.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), w("老会员回归"), I(A, {
                show: l(o).oldUser,
                "onUpdate:show": _[5] || (_[5] = p => l(o).oldUser = p),
                "show-confirm-button": !1,
                "close-on-click-overlay": !0,
                className: "noOverHidden"
            }, {
                default: T( () => [t("div", mo, [t("div", _o, [R(t("img", null, null, 512), [[L, l(z)("public", "succeed")]]), t("p", go, d(u.$t("oldPromptTip")), 1), t("div", ho, d(u.$t("oldPrompt")), 1), t("p", bo, d(u.$t("oldPromptGift")), 1), t("div", yo, [t("span", null, d(l(Y)(l(o).returnAwards)), 1)]), t("div", {
                    class: "dialog-btn",
                    onClick: _[4] || (_[4] = p => l(i)())
                }, d(u.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), w("注册登陆送彩金"), I(A, {
                show: l(o).registerGift,
                "show-confirm-button": !1,
                "close-on-click-overlay": !0,
                className: "noOverHidden"
            }, {
                default: T( () => [t("div", wo, [t("div", ko, [R(t("img", null, null, 512), [[L, l(z)("public", "succeed")]]), t("p", $o, d(u.$t("newRegisterTip")), 1), t("div", So, d(u.$t("newRegisterPrompt")), 1), t("p", Co, d(u.$t("newRegisterGift", [l(de)().getUserInfo.channelAmountofCode])), 1), t("div", Io, [t("span", null, d(l(Y)(l(o).registerGiftAmount)), 1)]), t("div", {
                    class: "dialog-btn",
                    onClick: _[6] || (_[6] = p => l(c)())
                }, d(u.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), w("下载充值送彩金奖励"), I(A, {
                show: l(o).appDownload,
                "onUpdate:show": _[8] || (_[8] = p => l(o).appDownload = p),
                "show-confirm-button": !1,
                "close-on-click-overlay": !0,
                className: "noOverHidden"
            }, {
                default: T( () => [t("div", Ao, [t("div", To, [R(t("img", null, null, 512), [[L, l(z)("public", "succeed")]]), t("p", Lo, d(u.$t("downReceiveText1")), 1), t("div", Po, d(u.$t("downReceiveText2")), 1), t("p", Do, d(u.$t("downReceiveText3")), 1), t("div", Bo, [t("span", null, d(l(Y)(l(o).downAppRewardBonusAmount)), 1)]), t("div", {
                    class: "dialog-btn",
                    onClick: _[7] || (_[7] = p => l(v)())
                }, d(u.$t("receive")), 1)])])]),
                _: 1
            }, 8, ["show"]), I(A, {
                show: r.value,
                "onUpdate:show": _[11] || (_[11] = p => r.value = p),
                className: "custom18dialog noOverHidden",
                "show-confirm-button": !1,
                "close-on-click-overlay": !1
            }, {
                default: T( () => [t("div", Vo, [t("div", null, [t("span", null, d(u.$t("loginTips", [l(C).projectName])), 1), t("div", No, d(u.$t("brazildialog1")), 1)]), t("div", Ro, [t("div", {
                    class: "btn-cnf dialog-btn",
                    onClick: _[9] || (_[9] = p => b(!0))
                }, d(u.$t("brazildialog2")), 1), t("div", {
                    class: "btn-cancel dialog-btn",
                    onClick: _[10] || (_[10] = p => b(!1))
                }, d(u.$t("brazildialog3")), 1)])])]),
                _: 1
            }, 8, ["show"]), I(A, {
                show: f.value,
                "onUpdate:show": _[13] || (_[13] = p => f.value = p),
                className: "custom18dialog noAge",
                "show-confirm-button": !1,
                "close-on-click-overlay": !1
            }, {
                default: T( () => [t("div", xo, [t("div", null, [t("span", null, d(u.$t("brazildialog4")), 1)]), t("div", Oo, [t("div", {
                    class: "btn-cancel dialog-btn no-btn",
                    onClick: _[12] || (_[12] = p => f.value = !1)
                }, d(u.$t("confirm")), 1)])])]),
                _: 1
            }, 8, ["show"]), I(oo), B.value ? (m(),
            D(Qs, {
                key: 1
            })) : w("v-if", !0)], 64)
        }
    }
});
const Uo = x(Eo, [["__scopeId", "data-v-3d4fafbb"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/AllPageDialog.vue"]])
  , Fo = U({
    __name: "App",
    setup(s) {
        ue(V => ({
            "f13b4d11-currentFontFamily": p.value
        }));
        const {openAll: e} = ne()
          , o = es()
          , a = g(!1)
          , n = g(!1)
          , i = J()
          , v = Ft()
          , c = Q()
          , {locale: h} = we()
          , r = de()
          , f = g(!1)
          , $ = N( () => i.meta.tabBar)
          , C = "blackGoldHome"
          , y = "true"
          , B = N( () => ["electronic", "blackGoldHome"].includes(C) && !y ? !1 : !["/wallet/Withdraw/C2cDetail", "/wallet/RechargeHistory/RechargeUpiDetail", "/wallet/Withdraw/Upi", "/wallet/Withdraw/AddUpi", "/wallet/Withdraw/c2cCancelWithdrawal/index.vue", "/wallet/otherPay?type=C2C", "/home/game"].includes(i.path))
          , k = g(0)
          , b = g(Math.floor(Math.random() * 1e4))
          , u = N( () => i.name + b.value)
          , _ = () => {
            o.on("changeKeepAliveKey", () => {
                b.value = Math.floor(Math.random() * 1e4)
            }
            )
        }
        ;
        sessionStorage.getItem("isload") ? a.value = !1 : (n.value = !0,
        sessionStorage.setItem("isload", n.value.toString()),
        a.value = !0),
        c.getHomeSetting(),
        W( () => c.getAreacode, V => {
            V && v.setNumberType(V.substring(1))
        }
        ),
        W( () => c.getDL, V => {
            h.value = V,
            r.updateLanguage(V),
            ts(V),
            ss(Ae.global.t)
        }
        ),
        setTimeout( () => {
            a.value = !1
        }
        , 2e3);
        const A = g(!1)
          , L = Mt();
        L.$subscribe( (V, O) => {
            A.value = O.isLoading,
            L.setLoading(A.value)
        }
        );
        const p = g("bahnschrift");
        let P = Ht()
          , F = c.getLanguage
          , M = jt(P, F);
        const ee = async V => {
            const O = [{
                title: "vi",
                fontStyle: "bahnschrift"
            }, {
                title: "else",
                fontStyle: "'Roboto', 'Inter', sans-serif"
            }]
              , G = O.findIndex(oe => oe.title == M);
            G >= 0 ? p.value = O[G].fontStyle : p.value = O[O.length - 1].fontStyle
        }
          , te = () => {
            o.on("keyChange", () => {
                k.value++
            }
            ),
            o.on("changeIsGame", () => {
                f.value = !f.value,
                A.value = !A.value
            }
            )
        }
          , se = () => {
            o.off("keyChange"),
            o.off("changeKeepAliveKey"),
            o.off("changeIsGame")
        }
        ;
        return v.setNumberType(c.getAreacode.substring(1)),
        ee(),
        j(async () => {
            const V = await Wt()
              , O = await Gt()
              , G = zt();
            Kt && V === 3 && !G.result && !O.isOpenBrowserConsoleDebug || Yt && V === 0 && !G.result && !O.isOpenBrowserConsoleDebug ? qt() : Xt.stop()
        }
        ),
        j( () => {
            Zt() && Jt(),
            e(),
            se(),
            te(),
            _(),
            localStorage.getItem("language") && Qt(localStorage.getItem("language"))
        }
        ),
        Ss(),
        (V, O) => {
            const G = E("LoadingView");
            return m(),
            S(H, null, [I(G, {
                loading: A.value,
                type: "loading",
                isGame: f.value
            }, {
                default: T( () => [(m(),
                D(l(xe), {
                    key: k.value
                }, {
                    default: T( ({Component: oe}) => [(m(),
                    D(Re, {
                        max: 1
                    }, [l(i).meta.keepAlive ? (m(),
                    D(fe(oe), {
                        key: u.value
                    })) : w("v-if", !0)], 1024)), l(i).meta.keepAlive ? w("v-if", !0) : (m(),
                    D(fe(oe), {
                        key: 0
                    }))]),
                    _: 1
                })), w("online custom service"), B.value ? (m(),
                D(Is, {
                    key: 0
                })) : w("v-if", !0), $.value ? (m(),
                D($s, {
                    key: 1
                })) : w("v-if", !0)]),
                _: 1
            }, 8, ["loading", "isGame"]), a.value ? (m(),
            D(Vs, {
                key: 0
            })) : w("v-if", !0), I(Uo)], 64)
        }
    }
});
const Mo = x(Fo, [["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/entrance/ar055/App.vue"]]);
const Ho = {
    apiKey: "AIzaSyC6cnzV2iKuhUxcyjH2L4pvKR0Tv1iTIXg",
    authDomain: "test1-7ffe6.firebaseapp.com",
    projectId: "test1-7ffe6",
    storageBucket: "test1-7ffe6.firebasestorage.app",
    messagingSenderId: "846418415347",
    appId: "1:846418415347:web:5ab6d20e9772cb67617186",
    measurementId: "G-VM62FXQ912"
}
  , jo = ke(Ho);
Oe(jo);
const Wo = {
    mounted(s, e) {
        if (typeof e.value[0] != "function" || typeof e.value[1] != "number")
            throw new Error("v-debounce: value must be an array that includes a function and a number");
        let o = null;
        const a = e.value[0]
          , n = e.value[1];
        s.__handleClick__ = function() {
            o && clearTimeout(o),
            o = setTimeout( () => {
                a()
            }
            , n || 500)
        }
        ,
        s.addEventListener("click", s.__handleClick__)
    },
    beforeUnmount(s) {
        s.removeEventListener("click", s.__handleClick__)
    }
}
  , Go = {
    mounted(s, e) {
        if (typeof e.value[0] != "function" || typeof e.value[1] != "number")
            throw new Error("v-throttle: value must be an array that includes a function and a number");
        let o = null;
        const a = e.value[0]
          , n = e.value[1];
        s.__handleClick__ = function() {
            o && clearTimeout(o),
            s.disabled || (s.disabled = !0,
            a(),
            o = setTimeout( () => {
                s.disabled = !1
            }
            , n || 500))
        }
        ,
        s.addEventListener("click", s.__handleClick__)
    },
    beforeUnmount(s) {
        s.removeEventListener("click", s.__handleClick__)
    }
}
  , zo = {
    mounted(s, e) {
        s.addEventListener("input", o => {
            const n = s.value.replace(/\D+/g, "");
            s.value = n,
            e.value = n
        }
        )
    }
}
  , Ko = s => ({
    beforeMount: (e, o) => {
        e.classList.add("ar-lazyload");
        const {value: a} = o;
        e.dataset.origin = a,
        s.observe(e)
    }
    ,
    updated(e, o) {
        e.dataset.origin = o.value,
        s.observe(e)
    },
    unmounted(e, o) {
        s.unobserve(e)
    },
    mounted(e, o) {
        s.observe(e)
    }
})
  , Yo = {
    mounted(s, e) {
        let o = 0;
        const a = e.value && e.value.wait ? e.value.wait : 3e3
          , n = i => {
            const v = Date.now();
            v - o >= a && (o = v,
            e.value && e.value.handler && e.value.handler(i))
        }
        ;
        s.addEventListener("click", n),
        s._throttleClickCleanup = () => {
            s.removeEventListener("click", n)
        }
    },
    unmounted(s) {
        s._throttleClickCleanup && s._throttleClickCleanup(),
        delete s._throttleClickCleanup
    }
}
  , qo = {
    mounted(s, e) {
        const {value: o} = e;
        let a = Ee("permission", null);
        a.value === null || !o || (a && (a = JSON.parse(a.value)),
        a && a[o] === !1 && (s.style.display = "none"))
    }
};
class Xo {
    constructor(e) {
        ie(this, "timer");
        ie(this, "el");
        this.el || (this.el = e,
        this.el.style.transition = "all .3s",
        this.setTransformStyle("none"))
    }
    foldUp() {
        if (this.el) {
            const e = window.innerWidth
              , o = window.innerHeight
              , a = this.el.getBoundingClientRect()
              , n = a.top < 0 ? 0 : a.top
              , i = a.left < 0 ? 0 : a.left
              , v = e - a.right < 0 ? 0 : e - a.right
              , c = o - a.bottom < 0 ? 0 : o - a.bottom
              , h = Math.min(n, i, v, c);
            if (h === n) {
                const r = a.height * .8 + n;
                this.setTransformStyle(`translate(0, -${r}px)`)
            } else if (h === i) {
                const r = -1 * a.width * .8 - i;
                this.setTransformStyle(`translate(${r}px, 0)`)
            } else if (h === v) {
                const r = a.width * .8 + v;
                this.setTransformStyle(`translate(${r}px, 0)`)
            } else if (h === c) {
                const r = a.height * .8 + c;
                this.setTransformStyle(`translate(0, ${r}px)`)
            }
        }
    }
    expand() {
        this.el && this.setTransformStyle("none")
    }
    setTransformStyle(e) {
        if (this.el) {
            const o = Zo(this.el).transform ?? "none";
            o == "none" && e != o ? this.el.style.transform = e : e == "none" && e != o && (this.el.style.transform = e)
        }
    }
}
function Zo(s) {
    return window.getComputedStyle ? window.getComputedStyle(s, null) : document.defaultView && document.defaultView.getComputedStyle ? document.defaultView.getComputedStyle(s, null) : s.style
}
document.addEventListener("touchmove", () => {
    var s;
    (s = window.hiddenAn) == null || s.map(e => {
        var o;
        (o = e.AnimationScroll) == null || o.foldUp(),
        e.AnimationScroll && (clearTimeout(e.AnimationScroll.timer),
        e.AnimationScroll.timer = setTimeout( () => {
            var a;
            e && e.AnimationScroll && (clearTimeout(e.AnimationScroll.timer),
            (a = e.AnimationScroll) == null || a.expand())
        }
        , 1500))
    }
    )
}
);
const Jo = {
    mounted(s, e) {
        s.AnimationScroll = new Xo(s),
        window.hiddenAn && Array.isArray(window.hiddenAn) ? window.hiddenAn.push(s) : window.hiddenAn = [s]
    },
    unmounted(s) {
        s.AnimationScroll && (Array.isArray(window.hiddenAn) && (window.hiddenAn = window.hiddenAn.filter(e => e != s)),
        s.AnimationScroll = void 0)
    }
}
  , _e = {
    debounce: Wo,
    throttle: Go,
    onlyNum: zo,
    throttleClick: Yo,
    haspermission: qo,
    scrollhide: Jo
}
  , Qo = {
    install: function(s) {
        Object.keys(_e).forEach(o => {
            s.directive(o, _e[o])
        }
        );
        const e = new IntersectionObserver(o => {
            o.forEach(a => {
                if (a.isIntersecting) {
                    const n = a.target
                      , i = Se("images", "avatar")
                      , v = n.dataset.origin;
                    n.src = v || i,
                    n.onerror = () => {
                        e.unobserve(n);
                        let c = n.dataset.img || i;
                        if (!c || c != null && c.includes("undefined")) {
                            n.onerror = null;
                            return
                        }
                        v !== c && (n.src = c,
                        n.style.objectFit = "contain"),
                        n.onerror = null
                    }
                    ,
                    n.classList.remove("ar-lazyload"),
                    e.unobserve(n)
                }
            }
            )
        }
        ,{
            rootMargin: "0px 0px -50px 0px"
        });
        s.directive("lazy", Ko(e))
    }
}
  , ea = {
    class: "navbar-fixed"
}
  , ta = {
    class: "navbar__content"
}
  , sa = {
    class: "navbar__content-center"
}
  , oa = {
    class: "navbar__content-title"
}
  , aa = U({
    __name: "NavBar",
    props: {
        title: {
            type: String,
            default: ""
        },
        placeholder: {
            type: Boolean,
            default: !0
        },
        leftArrow: {
            type: Boolean,
            default: !1
        },
        backgroundColor: {
            type: String,
            default: "#f7f8ff"
        },
        classN: {
            type: String,
            default: ""
        },
        headLogo: {
            type: Boolean,
            default: !1
        },
        headerUrl: {
            type: String,
            default: ""
        }
    },
    emits: ["click-left", "click-right"],
    setup(s, {emit: e}) {
        const o = g()
          , a = Q()
          , n = N( () => a.getHeadLogo)
          , i = () => {
            e("click-left")
        }
          , v = () => {
            e("click-right")
        }
        ;
        return j( () => {}
        ),
        (c, h) => {
            const r = E("van-icon");
            return m(),
            S("div", {
                class: "navbar",
                ref_key: "navbar",
                ref: o
            }, [t("div", ea, [t("div", ta, [t("div", {
                class: "navbar__content-left",
                onClick: i
            }, [X(c.$slots, "left", {}, () => [s.leftArrow ? (m(),
            D(r, {
                key: 0,
                name: "arrow-left"
            })) : w("v-if", !0)], !0)]), t("div", sa, [s.headLogo ? (m(),
            S("div", {
                key: 0,
                class: "headLogo",
                style: Ue({
                    backgroundImage: "url(" + (s.headerUrl || n.value) + ")"
                })
            }, null, 4)) : w("v-if", !0), X(c.$slots, "center", {}, () => [t("div", oa, d(s.title), 1)], !0)]), t("div", {
                class: "navbar__content-right",
                onClick: v
            }, [X(c.$slots, "right", {}, void 0, !0)])])])], 512)
        }
    }
});
const na = x(aa, [["__scopeId", "data-v-12a80a3e"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/NavBar.vue"]])
  , ia = () => {
    const s = Q()
      , e = N( () => s.getFirebaseConfig)
      , o = g(!1)
      , a = g(!1)
      , n = g(!1)
      , i = g(null)
      , v = async () => {
        var r;
        if (!(o.value || !((r = e.value) != null && r.projectId)))
            try {
                const f = {
                    apiKey: e.value.apiKey,
                    authDomain: e.value.authDomain,
                    projectId: e.value.projectId,
                    storageBucket: e.value.storageBucket,
                    messagingSenderId: e.value.messagingSenderId,
                    appId: e.value.appId,
                    measurementId: e.value.measurementId
                }
                  , $ = ke(f);
                i.value = Me($),
                o.value = !0,
                c(),
                h()
            } catch {}
    }
      , c = async () => {
        if (!o.value || !i.value)
            return console.warn("Firebase not init"),
            null;
        try {
            if (a.value = !0,
            await Notification.requestPermission() !== "granted")
                return console.warn("not permission"),
                null;
            const f = await He(i.value, {
                vapidKey: e.value.keyPair
            });
            return localStorage.setItem("fireBaseToken", f),
            n.value = !0,
            f
        } catch (r) {
            return console.error("[Firebase]  Token error:", r),
            null
        } finally {
            a.value = !1
        }
    }
      , h = () => {
        if (!i.value) {
            console.warn("Firebase not init");
            return
        }
        je(i.value, r => {
            const {title: f, body: $, image: C} = r.notification || {};
            navigator.serviceWorker && navigator.serviceWorker.controller && navigator.serviceWorker.controller.postMessage({
                type: "SHOW_NOTIFICATION",
                payload: {
                    title: f,
                    body: $,
                    image: C
                }
            }),
            f && $ && (We({
                type: "primary",
                message: `${f}：
${$}`,
                className: "firebase-notify-with-img",
                duration: 3e3
            }),
            document.documentElement.style.setProperty("--notify-icon", `url(${C})`))
        }
        )
    }
    ;
    return W(e, async r => {
        r != null && r.projectId && (await Fe(),
        await v())
    }
    , {
        immediate: !0
    }),
    {
        requestPermissionAndToken: c,
        listenForeground: h,
        isLoading: a,
        isReady: n
    }
}
  , la = {
    class: "ar-loading-view"
}
  , ra = {
    class: "loading-wrapper"
}
  , ca = {
    class: "com__box"
}
  , ua = ge('<div class="loading" data-v-647954c7><div class="shape shape-1" data-v-647954c7></div><div class="shape shape-2" data-v-647954c7></div><div class="shape shape-3" data-v-647954c7></div><div class="shape shape-4" data-v-647954c7></div></div>', 1)
  , da = {
    class: "skeleton-wrapper"
}
  , va = {
    class: "iosDialog"
}
  , pa = {
    class: "title"
}
  , fa = {
    class: "websit_info"
}
  , ma = ["src"]
  , _a = {
    class: "link"
}
  , ga = {
    class: "text"
}
  , ha = {
    class: "text"
}
  , ba = {
    class: "text"
}
  , ya = ["src"]
  , wa = U({
    __name: "LoadingView",
    props: {
        loading: {
            type: Boolean,
            required: !0
        },
        type: {
            type: String,
            required: !0
        },
        isGame: {
            type: Boolean,
            required: !0
        }
    },
    setup(s) {
        const e = s
          , o = g();
        let a = null;
        const {homeState: n, downloadIcon: i} = os()
          , v = J()
          , {getSelfCustomerServiceLink: c} = Ce({
            ServerType: 2
        })
          , h = window.location.href
          , r = N( () => location.origin || "")
          , f = N( () => v.name === "game")
          , $ = g(!1)
          , C = as( () => $e( () => import("./lottie_light-1033afe8.js").then(y => y.l), ["assets/js/lottie_light-1033afe8.js", "assets/js/common.modules-af1f85b9.js", "assets/css/common-e210f711.css"]));
        return j(async () => {
            if (h.includes("?")) {
                const y = new URLSearchParams(h.split("?")[1]);
                y.size && y.get("goTo") === "worktraking" && c("worktraking")
            }
            "serviceWorker"in navigator && navigator.serviceWorker.register("/firebase-messaging-sw.js").then( () => {
                const {listenForeground: y} = ia();
                y()
            }
            )
        }
        ),
        W( () => e.loading, async () => {
            e.type === "loading" && !e.isGame && (!a && !$.value && ($.value = !0,
            a = (await C()).loadAnimation({
                container: o.value,
                renderer: "svg",
                loop: !0,
                autoplay: !0,
                path: "/data.json"
            }),
            $.value = !1),
            e.loading ? a && a.play() : a && a.stop())
        }
        ),
        he( () => {
            a && a.destroy(),
            a = null
        }
        ),
        (y, B) => {
            const k = E("VanSkeleton")
              , b = E("svg-icon")
              , u = E("van-popup");
            return m(),
            S(H, null, [R(t("div", la, [X(y.$slots, "template", {}, () => [R(t("div", ra, [w(" <VanLoading /> "), R(t("div", {
                ref_key: "element",
                ref: o,
                class: "loading-animat"
            }, null, 512), [[q, !y.isGame]]), R(t("div", ca, [w(" loading "), ua, w(" 说明：组件名 ")], 512), [[q, y.isGame]]), w(' <div class="animation"></div> ')], 512), [[q, y.type === "loading"]]), R(t("div", da, [I(k, {
                row: 10
            }), I(k, {
                title: "",
                avatar: "",
                row: 5
            }), I(k, {
                title: "",
                row: 5
            })], 512), [[q, y.type === "skeleton"]])], !0)], 512), [[q, y.loading && !f.value]]), X(y.$slots, "default", {}, void 0, !0), I(u, {
                show: l(n).iosDialog,
                "onUpdate:show": B[0] || (B[0] = _ => l(n).iosDialog = _),
                round: "",
                closeable: "",
                position: "bottom",
                style: {
                    height: "40%"
                }
            }, {
                default: T( () => [t("div", va, [t("div", pa, d(y.$t("pwaInstall")), 1), t("div", fa, [t("img", {
                    class: "icon",
                    src: l(i)
                }, null, 8, ma), t("div", _a, [t("div", null, d(r.value.split("://")[1]), 1), t("div", null, d(r.value), 1)])]), t("div", ga, [K("1. " + d(y.$t("pwaText1")) + " ", 1), I(b, {
                    name: "share"
                })]), t("div", ha, [K("2. " + d(y.$t("pwaText2")) + " ", 1), t("span", null, [K(d(y.$t("pwaText3")) + " ", 1), I(b, {
                    name: "add_icon"
                })])]), t("div", ba, [K("3. " + d(y.$t("pwaText4")) + " ", 1), t("img", {
                    class: "icon",
                    src: l(i)
                }, null, 8, ya)])])]),
                _: 1
            }, 8, ["show"])], 64)
        }
    }
});
const ka = x(wa, [["__scopeId", "data-v-647954c7"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/LoadingView.vue"]]);
const $a = ["xlink:href"]
  , Sa = {
    __name: "svgIcons",
    props: {
        name: {
            type: String,
            required: !0
        },
        color: {
            type: String,
            default: ""
        }
    },
    setup(s) {
        const e = s
          , o = N( () => `#icon-${e.name}`)
          , a = N( () => e.name ? `svg-icon icon-${e.name}` : "svg-icon");
        return (n, i) => (m(),
        S("svg", Ge({
            class: a.value
        }, n.$attrs, {
            style: {
                color: s.color
            }
        }), [t("use", {
            "xlink:href": o.value
        }, null, 8, $a)], 16))
    }
}
  , Ca = x(Sa, [["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/svgIcons.vue"]])
  , Ia = {
    class: "ar-searchbar__selector"
}
  , Aa = {
    class: "ar-searchbar__selector-default"
}
  , Ta = U({
    __name: "ArSelect",
    props: {
        selectName: {
            type: String,
            default: ""
        }
    },
    emits: ["click-select"],
    setup(s, {emit: e}) {
        const o = () => {
            e("click-select")
        }
        ;
        return (a, n) => {
            const i = E("van-icon");
            return m(),
            S("div", Ia, [t("div", {
                onClick: o
            }, [t("span", Aa, d(l(ns)(s.selectName)), 1), I(i, {
                name: "arrow-down"
            })])])
        }
    }
});
const La = x(Ta, [["__scopeId", "data-v-fa757a88"], ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/components/common/ArSelect.vue"]]);
ze({
    duration: 3500,
    zIndex: 4e3
});
is();
const Pa = s => {
    s.component("NavBar", na),
    s.component("LoadingView", ka),
    s.component("ArSelect", La),
    s.component("svg-icon", Ca),
    s.use(Ke).use(Ye).use(qe).use(Xe).use(Ze).use(Je).use(Qe).use(et).use(tt).use(st).use(ot).use(at).use(nt).use(it).use(lt).use(rt).use(ct).use(ut).use(dt).use(vt).use(pt).use(ft).use(mt).use(_t).use(gt).use(ht).use(bt).use(yt).use(wt).use(kt).use($t).use(St).use(Ct).use(It).use(At).use(Tt).use(Lt).use(Ae).use(Qo).use(Pt).use(Dt).use(Bt);
    let e = s.config.globalProperties
      , o = {};
    o.TopHeight = 38,
    Object.keys(me.refiter).forEach(a => {
        o[a] = me.refiter[a]
    }
    ),
    e.$u = o
}
;
({}).VITE_POINT && ls[{}.VITE_POINT]();
Te.addRoute({
    path: "/",
    name: "home",
    component: () => $e( () => import("./page-home-other-97f62cb2.js").then(s => s.b), ["assets/js/page-home-other-97f62cb2.js", "assets/js/common.modules-af1f85b9.js", "assets/css/common-e210f711.css", "assets/js/page-activity-ActivityDetail-09e806d3.js", "assets/js/page-turntable-assets-d6267459.js", "assets/js/native/index-2c2af617.js", "assets/js/en-8dc3e88f.js", "assets/css/page-activity-ActivityDetail-a597c4a3.css", "assets/js/page-home-Casino-1d49356a.js", "assets/css/page-home-Casino-21302d32.css", "assets/css/page-home-other-3842e833.css"]),
    meta: {
        title: "home",
        tabBar: !0,
        keepAlive: !1
    }
});
const ve = Vt(Mo)
  , Pe = Nt();
Pa(ve);
Pe.use(Rt);
ve.use(Te).use(Pe);
ve.mount("#app");
